Bug 7865 - Add UsesFeatureAttribute to generate AndroidManifest.xml /manifest/uses-feature element
Summary: Add UsesFeatureAttribute to generate AndroidManifest.xml /manifest/uses-featu...
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: BCL Class Libraries (show other bugs)
Version: 4.2.x
Hardware: PC Mac OS
: --- enhancement
Target Milestone: ---
Assignee: dean.ellis
URL:
Depends on:
Blocks:
 
Reported: 2012-10-16 11:22 UTC by Jonathan Pryor
Modified: 2012-11-13 11:38 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jonathan Pryor 2012-10-16 11:22:46 UTC
Add UsesFeatureAttribute to generate AndroidManifest.xml /manifest/uses-feature element.
Comment 2 dean.ellis 2012-11-06 13:44:32 UTC
Fixed in master/cf0f2d75e9
Comment 3 dean.ellis 2012-11-08 07:26:47 UTC
The UsesFeatureAttribute has been added to allow users
to use the following code in the AssemblyInfo.cs

[assembly: UsesFeature("android.hardware.bluetooth")]
[assembly: UsesFeature(GLESVersion=0x00020000)]

This will generate the appropriate uses-feature element
in the AndroidManifest.xml

It also supports the Required parameter above API Level 7

[assembly: UsesFeature("android.hardware.bluetooth", Required=true)]
[assembly: UsesFeature(GLESVersion=0x00020000, Required=true)]